/**
 * 
 */
package de.mcs.tools.sps.emulator;

/**
 * This interface is for getting the emualtor internal
 * 
 * @author w.klaas
 *
 */
public interface EmulatorInternals {

  void reset();

  int getAddress();

  void incAddress(int i);

  void setDelay(long l);

  long getDelay();

  void setRegister(String register, byte data);

  byte getRegister(String register);

  void setAddress(int i);

  void pushRtrAddress();

  void popRtrAddress();
}
